%define fver 0.11-8

Name:           mp32ogg
Version:        0.11
Release:        %mkrel 16

Summary:        Convert mp3 music files to ogg music files
License:        Artistic
Group:          Sound/Editors and Converters
# Author: Nathan Walp <faceprint@faceprint.com>
Url:            http://packages.debian.org/unstable/sound/mp32ogg
Source0:        mp32ogg_%{fver}.tar.bz2
Patch0:         mp32ogg-0.11-force-filename-stringification.mp3

BuildRequires:  perl
BuildRequires:  perl(MP3::Info)
BuildRequires:  perl(String::ShellQuote)

BuildArch:      noarch

Requires:       mpg123
Requires:       perl
Requires:       vorbis-tools

%description
Perl script to convert MP3 files into Ogg Vorbis format. It is able to
read ID3 tags from MP3 files and correctly tag the Ogg files, as well as
optionally rename them based on those tags.

%prep
%setup -q -n %name
# fix https://qa.mandriva.com/show_bug.cgi?id=53477
%patch0 -p0

%build

%install
install -m 755 -D %name  %{buildroot}%{_bindir}/%{name}
perl -c %{buildroot}%{_bindir}/%{name}

echo -e "%{name}\n\nAuthor: Nathan Walp <faceprint@faceprint.com>\nLicense: Artistic\n" > README

%files
%doc README 
%{_bindir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.11-16.mga3
+ Revision: 360325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.11-15.mga3
+ Revision: 324679
- spec clean-up
- update RPM group

* Fri Apr 08 2011 obgr_seneca <obgr_seneca> 0.11-14.mga1
+ Revision: 82170
- cleaned up spec file
- removed buildroot tag
- imported package mp32ogg

